Package org.apache.lucene.analysis.ko.dict

# Class UserDictionary

java.lang.Object
org.apache.lucene.analysis.ko.dict.UserDictionary

All Implemented Interfaces:
  `Dictionary<org.apache.lucene.analysis.ko.dict.UserMorphData>`

public final class UserDictionary extends Object implements Dictionary<org.apache.lucene.analysis.ko.dict.UserMorphData>
Class for building a User Dictionary. This class allows for adding custom nouns (세종) or compounds (세종시 세종 시).

## Method Summary

Modifier and Type
Method
Description
`TokenInfoFST`
`getFST()`
`org.apache.lucene.analysis.ko.dict.UserMorphData`
`getMorphAttributes()`
`List<Integer>`
`lookup(char[] chars, int off, int len)`
Lookup words in text
`static UserDictionary`
`open(Reader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.analysis.morph.Dictionary

`getLeftId, getRightId, getWordCost`

## Method Details

### open

public static UserDictionary open(Reader reader) throws IOException

Throws:
  `IOException`

### getFST

public TokenInfoFST getFST()

### getMorphAttributes

public org.apache.lucene.analysis.ko.dict.UserMorphData getMorphAttributes()

Specified by:
  `getMorphAttributes` in interface `Dictionary<org.apache.lucene.analysis.ko.dict.UserMorphData>`

### lookup

public List<Integer> lookup(char[] chars, int off, int len) throws IOException
Lookup words in text

Parameters:
  `chars` - text
  `off` - offset into text
  `len` - length of text
Returns:
  array of wordId
Throws:
  `IOException`